Bug 960352 (CVE-2013-2002) - CVE-2013-2002 libXt: Array Index error leading to heap-based OOB write
Summary: CVE-2013-2002 libXt: Array Index error leading to heap-based OOB write
Status: CLOSED ERRATA
Alias: CVE-2013-2002
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130523,repor...
Keywords: Security
Depends On: 966822 1078035
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-07 05:17 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 19:34 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-10-16 06:18:17 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-07 05:17:47 UTC
An Array index error leading to heap-based buffer OOB write flaw were found in the libXt, X.Org X11 libXt runtime library. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  _XtResourceConfigurationEH()

Comment 3 Jan Lieskovsky 2013-05-23 16:05:00 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 4 Huzaifa S. Sidhpurwala 2013-05-24 04:03:02 UTC
Created libXt tracking bugs for this issue

Affects: fedora-all [bug 966822]

Comment 5 Fedora Update System 2013-05-27 03:28:23 UTC
libXt-1.1.3-4.20130524git1f4802b74.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Huzaifa S. Sidhpurwala 2013-06-05 03:39:10 UTC
This issue affects the version of libXt as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 7 Huzaifa S. Sidhpurwala 2013-06-05 03:49:37 UTC
Statement:

This issue affects the libXt package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 8 Fedora Update System 2013-06-06 01:40:36 UTC
libXt-1.1.3-4.20130524git1f4802b74.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Jan Lieskovsky 2013-06-17 09:50:23 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 11 errata-xmlrpc 2014-10-14 05:05:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.